Check Saved Payment
curl --request POST \
--url https://staging-payments.commerce.asia/api/services/app/PaymentGateway/CheckSavedPayment \
--header 'Abp-TenantId: <abp-tenantid>' \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json-patch+json' \
--header 'cap-signature: <cap-signature>' \
--data '
{
"uniqueAccountId": "<string>",
"channelId": 123,
"tenantId": 123,
"timestamp": 1621851652617
}
'import requests
url = "https://staging-payments.commerce.asia/api/services/app/PaymentGateway/CheckSavedPayment"
payload = {
"uniqueAccountId": "<string>",
"channelId": 123,
"tenantId": 123,
"timestamp": 1621851652617
}
headers = {
"Abp-TenantId": "<abp-tenantid>",
"Authorization": "<authorization>",
"cap-signature": "<cap-signature>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Abp-TenantId': '<abp-tenantid>',
Authorization: '<authorization>',
'cap-signature': '<cap-signature>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify({
uniqueAccountId: '<string>',
channelId: 123,
tenantId: 123,
timestamp: 1621851652617
})
};
fetch('https://staging-payments.commerce.asia/api/services/app/PaymentGateway/CheckSavedPayment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isSavedPayment": true,
"maskedAccountNumber": "<string>"
}Saved Payment APIs
Check Saved Payment
Payment gateway check existing saved payment status. (Only for TNG)
POST
/
api
/
services
/
app
/
PaymentGateway
/
CheckSavedPayment
Check Saved Payment
Headers
Your unique Merchant ID assigned by CommercePay.
Your API credentials used for authentication (typically a Bearer token).
A unique security hash used to verify the integrity of the request body. See Generate Signature for how to generate this.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Transaction Username
An identifier that represents a CommercePay payments channel Refer id on response end points Get Channel List
Fill in provided Tenant Id
new Date().getTime()
Example:
1621851652617
